# executeQuery

(seit Version 0.0.1)
executeQuery -- Führt ein Sql Statement aus, und gibt je nach Typ ein ResultSet Objekt oder ein int zurück

## Beschreibung:

    ResultSet/int executeQuery (string sqlQueryString)

Führt ein Sql Statement auf der Datanbank aus.
Es sind nicht alle Statement Typen und Keywords aus dem SQL Standard enthalten.

Nicht vergessen eventuellen " in dem Sql-String ein \ voranzusetzten

## Parameter:

    sqlQueryString
| Sql Statement String (z.B. "SELECT nr, name FROM personen WHERE personen.name=\"HANS\";")

## Rückgabewert:

Bei SELECT/LIST TABLES Satements:
- Ein ResultSet Objekt welches die Daten enthält.
- Im Fehlerfalle wird false zurückgegeben.

Bei UPDATE/INSERT/DELETE Statements:
- Die Anzahl der veränderten Datensätze
- Im Fehlerfalle wird false zurückgegeben (Achtung: FALSE und 0 haben nicht die gleiche Bedeutung!)

Bei CREATE TABLE/DROP TABLE/CREATE DATABASE/DROP DATABASE Statements:
- Wenn ok: true
- Im Fehlerfalle wird false zurückgegeben